import javax.xml.parsers.SAXParserFactory;
import javax.xml.parsers.SAXParser;
import org.xml.sax.SAXException;
import java.io.IOException; 
import java.io.File; 
public class AnalyseDeBase {
  public static void main(String[] args) {
    if(args.length!=1) {
      System.err.println("usage: AnalyseDeBase xmlfile");
      System.exit(1);
    }
    try {
      // cration de l'usine 
      SAXParserFactory factory=SAXParserFactory.newInstance();
      factory.setNamespaceAware(true);
      factory.setValidating(false);
      // cration de l'analyseur
      SAXParser parser=factory.newSAXParser();
      // ContentHandler
      PrintElement handler=new PrintElement();
      try {
	// analyse du document
	parser.parse(new File(args[0]),handler);
      } catch (SAXException se) {
	se.printStackTrace();
      } catch (IOException ioe) {
	ioe.printStackTrace();
      }
    } catch (Exception e) {
      System.err.println(e);
    }
  }
}
