import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.Attributes;
import java.util.*;
public class ContextStack extends DefaultHandler {
  private List stack;
  public void startDocument() {
    stack=new ArrayList();
  }
  public void startElement(String namespaceURI, String localName, 
			   String qName, Attributes atts) {
    stack.add(qName);
    Iterator i=stack.iterator();
    StringBuffer context=new StringBuffer(i.next().toString());
    while(i.hasNext()) {
      context.append('/');
      context.append(i.next());
    }
    System.out.println(context);
  }
  public void endElement(String namespaceURI, String localName, 
			 String qName) {
    stack.remove(stack.size()-1);
  }
}
