import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.Attributes;
import java.util.*;
public class MemoGetText extends DefaultHandler {
  private List stack;
  private StringBuffer result;
  public void startDocument() {
    stack=new ArrayList();
    result=new StringBuffer();
  }
  public void startElement(String namespaceURI, String localName, 
			   String qName, Attributes atts) {
    stack.add(qName);
  }
  public void endElement(String namespaceURI, String localName, 
			 String qName) {
    stack.remove(stack.size()-1);
  }
  public void characters(char[] ch, int start, int length) {
    if(stack.size()>0 && stack.get(stack.size()-1).equals("texte")) {
      result.append(new String(ch,start,length));
    }
  }
  // mthode spcifique
  public String getText() {
    return result.toString();
  }
}
